apiVersion: forklift.konveyor.io/v1beta1
kind: Migration
metadata:
  generateName: ocp-test-08d-win2022-
  resourceVersion: '6917385'
  name: ocp-test-08d-win2022-glzql
  uid: b07cf11d-eb20-481d-af4a-b0f9b3ab3ef6
  creationTimestamp: '2025-07-08T03:08:59Z'
  generation: 1
  managedFields:
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:generateName': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"05215195-40c8-42ad-aa98-4b5e84cb7ec6"}': {}
        'f:spec':
          .: {}
          'f:plan': {}
      manager: Mozilla
      operation: Update
      time: '2025-07-08T03:08:59Z'
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:completed': {}
          'f:conditions': {}
          'f:observedGeneration': {}
          'f:started': {}
          'f:vms': {}
      manager: forklift-controller
      operation: Update
      subresource: status
      time: '2025-07-08T03:09:17Z'
  namespace: openshift-mtv
  ownerReferences:
    - apiVersion: forklift.konveyor.io/v1beta1
      kind: Plan
      name: ocp-test-08d-win2022
      uid: 05215195-40c8-42ad-aa98-4b5e84cb7ec6
spec:
  plan:
    name: ocp-test-08d-win2022
    namespace: openshift-mtv
    uid: 05215195-40c8-42ad-aa98-4b5e84cb7ec6
status:
  completed: '2025-07-08T03:09:17Z'
  conditions:
    - category: Required
      lastTransitionTime: '2025-07-08T03:08:59Z'
      message: The migration is ready.
      status: 'True'
      type: Ready
    - category: Advisory
      durable: true
      lastTransitionTime: '2025-07-08T03:09:17Z'
      message: The migration has FAILED.
      status: 'True'
      type: Failed
  observedGeneration: 1
  started: '2025-07-08T03:08:59Z'
  vms:
    - started: '2025-07-08T03:08:59Z'
      pipeline:
        - completed: '2025-07-08T03:08:59Z'
          description: Initialize migration.
          error:
            phase: Completed
            reasons:
              - 'invalid resource name "mtv-test/mtv-func-win2022": [may not contain ''/'']'
          name: Initialize
          phase: Completed
          progress:
            completed: 0
            total: 1
          started: '2025-07-08T03:08:59Z'
        - completed: '2025-07-08T03:09:11Z'
          description: Run pre-migration hook.
          name: PreHook
          phase: Completed
          progress:
            completed: 1
            total: 1
          started: '2025-07-08T03:09:01Z'
        - annotations:
            unit: MB
          description: Transfer disks.
          name: DiskTransfer
          phase: Pending
          progress:
            completed: 0
            total: 27088
          tasks:
            - annotations:
                unit: MB
              name: mtv-test/cold-host-win2022-17-jx8jh
              progress:
                completed: 0
                total: 17337
            - annotations:
                unit: MB
              name: mtv-test/cold-host-win2022-17-pbh7d
              progress:
                completed: 0
                total: 2167
            - annotations:
                unit: MB
              name: mtv-test/cold-host-win2022-17-qqt78
              progress:
                completed: 0
                total: 3250
            - annotations:
                unit: MB
              name: mtv-test/cold-host-win2022-17-bght8
              progress:
                completed: 0
                total: 4334
        - description: Create VM.
          name: VirtualMachineCreation
          phase: Pending
          progress:
            completed: 0
            total: 1
        - description: Run post-migration hook.
          name: PostHook
          phase: Pending
          progress:
            completed: 0
            total: 1
      error:
        phase: StorePowerState
        reasons:
          - 'invalid resource name "mtv-test/mtv-func-win2022": [may not contain ''/'']'
      completed: '2025-07-08T03:09:17Z'
      name: mtv-test/mtv-func-win2022
      hooks:
        - hook:
            name: ocp-test-08d-win2022-pre-hook
            namespace: openshift-mtv
          step: PreHook
        - hook:
            name: ocp-test-08d-win2022-post-hook
            namespace: openshift-mtv
          step: PostHook
      luks: {}
      conditions:
        - category: Advisory
          durable: true
          lastTransitionTime: '2025-07-08T03:09:14Z'
          message: The VM migration has FAILED.
          status: 'True'
          type: Failed
      id: 693af4dc-a41b-4b33-99a9-242e417a9182
      namespace: mtv-test
      phase: Completed
